/************************
GENERAL
*************************/
*,
*::before,
*::after {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
	color: inherit;
	box-sizing: border-box;
}

:root {
	--color-primary: #242424;
	--color-secondary: #474747;
	--color-accent: #ff5b05;
	--color-accent-hover: #ff7c10;
	--color-light: #f8f6f5;
	--color-white-hover: rgb(234, 234, 227);
	--font-primary: "Inter", sans-serif;
	--font-secondary: "Syne", sans-serif;
}

html {
	scroll-behavior: smooth;
	font-family: Int;
}

body {
	font-family: var(--font-primary);
	position: relative;
}

main {
	margin: 0 auto;
	overflow: hidden;
}

li {
	list-style: none;
}

a {
	text-decoration: none;
}

p {
	line-height: 1.5;
}
section[id] {
	scroll-margin-top: 130px;
}

strong {
	font-weight: 700;
}

::-webkit-scrollbar {
	width: 0;
	height: 0;
}

/* PRE-TITULO SECCION */

.section__title {
	color: var(--color-accent);
	font-size: 20px;
	font-weight: 400;
	position: relative;
	z-index: -1;
	display: flex;
	align-items: center;
	gap: 10px;
}

.section__title span {
	display: inline-flex;
	width: 80px;
	height: 2px;
	background-color: var(--color-accent);
}

.section__title::after {
	display: none;
}

/* SLIDER */

.slider {
	max-width: 100%;
	height: auto;
	margin: auto;
	overflow: hidden;
	background-color: var(--color-primary);
	position: relative;
	z-index: 2;
}

.slider ul {
	display: flex;
	animation: scroll 40s linear infinite;
	-webkit-animation: slide 40s linear infinite;
	width: calc(400px * 18);
	position: relative;
}

.slider .slide {
	width: fit-content;
	padding: 20px 20px 20px 0;
	color: #fff;
	font-weight: 500;
	font-family: var(--font-secondary);
	font-size: 22px;
	letter-spacing: 1px;
	display: flex;
	align-items: stretch;
	justify-content: center;
	gap: 20px;
}

.slider li::before {
	display: block;
	content: url(../assets/slider-icon.svg);
}

.slider img {
	/* width: 20px; */
	width: 90px;
}

/* FADE IN */

.paragraph {
	transform: translateY(100px);
	opacity: 0;
	transition: transform 0.4s ease, opacity 0.4s ease;
}

.paragraph--visible {
	transform: translateY(0);
	opacity: 1;
}

/* FADE IN IMG */

.img-slide {
	transform: translateX(400%);
	transition: transform 0.6s ease;
}

.left {
	transform: translateX(-400%);
}

.img-slide.show-img {
	transform: translateX(0);
}

/*MAIN IMG*/

.background__img-container {
	width: 100%;
	background-image: url("../assets/img/img-background.png");
	background-size: cover;
	height: auto;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	margin: 0;
	min-height: 570px;
	position: relative;
	z-index: -1;
}

.background__img {
	max-width: 990px;
	margin: 60px auto;
	display: flex;
	justify-content: center;
	align-items: center;
}

.background__img img {
	width: 100%;
}

.phone__container {
	position: relative;
	text-align: center;
	display: flex;
	align-items: center;
	justify-content: center;
}

.phone__popup {
	position: absolute;
	top: 50px;
	left: 50%;
	transform: translateX(-50%);
	background-color: var(--color-primary);
	padding: 10px;
	color: #fff;
	width: 100%;
	opacity: 0;
	transition: opacity 0.4s linear;
}

.button:hover + .phone__popup {
	opacity: 1;
}

/* CUSTOMERS SLIDER */

.control__slider .slider {
	background-color: var(--color-accent);
	margin: 10px 0 30px;
}

.control__slider .slider li:before {
	content: url(../assets/star-neg-icon.svg);
	margin-top: 4px;
}
.control__slider .slider .slide {
	align-items: center;
}

#control .customers__container {
	margin-top: 0;
}

.title-buttons__container {
	display: flex;
	gap: 15px;
	margin: 20px;
	flex-wrap: wrap;
	z-index: 1;
}

/************************
BUTTONS
*************************/

.button {
	width: fit-content;
	justify-self: flex-end;
	color: #fff;
	padding: 10px 20px;
	border-radius: 50px;
	transition: background-color 0.4s linear;
}

.primary-button {
	background-color: var(--color-accent);
}

.primary-button:hover {
	background-color: var(--color-accent-hover);
}

.secondary-button {
	border: 1px solid var(--color-accent);
	color: var(--color-accent);
	transition: color 0.4s linear, border 0.5s linear;
}

.secondary-button:hover {
	border: 1px solid var(--color-primary);
	color: var(--color-primary);
}

.dark-button {
	background-color: var(--color-primary);
}

.dark-button:hover {
	background-color: var(--color-secondary);
}

.rounded-button {
	width: 60px;
	height: 60px;
	border-radius: 50%;
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
}

/************************
ICONOS
*************************/

.icon-arrow-down {
	vertical-align: middle;
	z-index: -1;
}

.arrow-icon {
	z-index: -1;
	margin-top: -5px;
}

/************************
HEADER
*************************/
.navbar__banner {
	background-color: var(--color-accent);
}

.navbar__banner p {
	font-size: 14px;
	padding: 10px 30px;
	font-family: var(--font-primary);
	gap: 15px;
	letter-spacing: 0.4px;
	color: #fff;
	text-align: center;
}

.navbar__banner a {
	text-decoration: underline;
	font-weight: 600;
}

.navbar {
	position: sticky;
	top: 0;
	transition: background-color 0.5s ease;
	z-index: 999;
}

.navbar--scroll {
	background-color: #242424a3;
	backdrop-filter: blur(10px);
	-webkit-backdrop-filter: blur(10px);
	z-index: 999;
}

.navbar__container {
	max-width: 1200px;
	margin: 0 auto;
	padding: 10px 0;
	display: grid;
	grid-template-columns: 1fr 5fr;
	align-items: center;
	font-size: 14px;
	position: relative;
	height: 80px;
}

.navbar__logo {
	max-width: 150px;
}

.navbar__menu {
	display: flex;
	justify-content: flex-start;
	gap: 20px;
	align-items: center;
	flex-direction: row;
}

.navbar__menu-element {
	font-weight: 500;
	position: relative;
	padding: 10px 20px;
	/* border-bottom: 2px solid transparent; */
	transition: color 0.4s linear, font-size 0.4s linear, border-color 0.4s linear;
}

.navbar__menu-element:hover {
	color: var(--color-accent);
	border-color: var(--color-accent);
}

.navbar__menu-element::before {
	content: "";
	display: inline-flex;
	width: 100%;
	height: 0;
	background-color: var(--color-accent);
	bottom: -21px;
	position: absolute;
	left: 0;
	transition: height 0.2s linear;
}

.navbar__menu-element:hover::before {
	height: 3px;
}

.navbar__menu .selected {
	color: var(--color-accent);
	font-weight: 600;
}

.navbar--scroll .navbar__menu .selected {
	text-shadow: 0 0 5px #ffffffd9;
}

.selected:hover,
.navbar--scroll .navbar__menu .selected:hover {
	text-shadow: 0 0 5px #fff;
}

.navbar--scroll .navbar__menu-element {
	color: #fff;
}

.navbar--scroll .navbar__menu-element::before {
	background-color: #fff;
}

.navbar--scroll .navbar__menu-element:hover {
	text-shadow: 0 0 5px #ffffff6f;
}

.navbar .dark-button {
	margin-left: auto;
}

.navbar .dark-button.selected {
	color: #fff;
}

.navbar--scroll .dark-button {
	background-color: var(--color-accent);
}

.navbar--scroll .dark-button:hover {
	background-color: var(--color-accent-hover);
}

.checkbox,
.hamburger-lines {
	display: none;
}

/* SUBMENU */

.navbar__submenu {
	position: absolute;
	top: 79px;
	left: 0;
	right: 0;
	grid-template-columns: 380px auto;
	background: #fff;
	overflow: hidden;
	max-height: 0;
	transition: max-height 0.5s ease;
}

.menu__soluciones {
	position: relative;
	width: fit-content;
}

.show {
	max-height: 292px;
	display: grid;
	box-shadow: 10px 15px 15px -3px rgba(0, 0, 0, 0.1);
}

.hide {
	max-height: 0;
}

.navbar__submenu-software {
	background-color: var(--color-primary);
	color: #fff;
	padding: 30px;
	font-size: 12px;
}

.navbar__submenu-software::before {
	content: "Software";
}

.navbar__submenu-solutions::before {
	content: "Soluciones";
}

.navbar__submenu-software::before,
.navbar__submenu-solutions::before {
	display: block;
	color: var(--color-accent);
	font-size: 16px;
	font-weight: 600;
}

.navbar__submenu-software::after,
.navbar__submenu-solutions::after {
	display: block;
	position: absolute;
	background-color: var(--color-accent);
	margin-top: -0.5px;
}

.navbar__submenu-software::after {
	content: "";
	top: 40px;
	left: 110px;
	width: 60px;
	height: 2px;
}

.navbar__submenu-solutions::after {
	content: "";
	top: 40px;
	left: 506px;
	width: 60px;
	height: 2px;
}

.navbar__submenu-element {
	padding: 30px 0 0;
}

.navbar__submenu-element h5 {
	color: var(--color-accent);
	font-weight: 600;
	font-size: 14px;
}

.navbar__submenu-element h5 span {
	display: block;
}

.navbar__submenu-element:hover,
.navbar__submenu-element:hover h5,
.navbar__submenu-element:hover p {
	color: var(--color-accent);
}

.navbar__submenu-solutions {
	font-size: 12px;
	padding: 30px;
}

.navbar__submenu-solutions h5 {
	padding-bottom: 5px;
}

.navbar__solutions-container {
	display: grid;
	grid-template-columns: 280px auto auto;
}

/************************
MAIN
*************************/

/* INICIO */
#inicio {
	margin-top:20px;
	width: 100%;
	height: auto;
	position: relative;
	overflow: hidden;
}

#inicio::before {
    content: "";
    position: absolute;
    left: 400px;
    bottom: 17%;
    width: 100%;
    height: 100%; 
    background: linear-gradient(to right, rgb(13, 14, 30), rgb(255, 136, 0));
    mask-image: url("../assets/img/img-background.png");
	mask-repeat: no-repeat;
	mask-size: 100% 110%;
    transform: rotate(90deg);
    z-index: -1;
}

.main__presentation {
	display: grid;
	grid-template-columns: 1fr 1fr;
	align-items: center;
	max-width: 1200px;
	margin: 0 auto;
	min-height: 550px;
}

.title__text {
	font-size: 44px;
	max-width: 585px;
	font-weight: 700;
	margin: 60px 0 0;
	color: var(--color-primary);
	z-index: -1;
	position: relative;
	line-height: 1.4;
}

.title__text span {
	color: var(--color-accent);
}

.main__presentation ul {
	margin: 20px 0;
}

.main__presentation li {
	display: flex;
	color: var(--color-secondary);
	align-items: flex-start;
	text-align: left;
	gap: 5px;
	font-weight: 500;
	z-index: -1;
	position: relative;
	font-size: 13px;
	margin-top:7px
}

.main__presentation .arrow-icon {
	transform: rotate(45deg);
	z-index: -1;
}

.main__button {
	padding: 20px 0;
}

.main__presentation .rounded-button {
	grid-column: 1 / span 2;
	justify-self: center;
	padding-bottom: 4px;
	background-color: var(--color-accent);
	margin-bottom: 90px;
	align-self: end;
}

.video-container{
	position: relative;
	overflow: hidden;
	width: 100%;
	border-radius: 10px;

	max-width: 560px;
	aspect-ratio: 16 / 9;
}

.video-container a{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	display: block;
	background: transparent;
	
}

.video-hp{
	position: absolute;
    top: 0;
    left: 0;
	border-radius: 10px;
	max-width: 100%;
	max-height: 100%;
	width: 100%;
	height: 100%;
}

/* SCROLL MENU */
.scroll-container {
	display: block;
	overflow-y: scroll;
	overflow-x: hidden;
	scroll-behavior: smooth;
}

.scroll-container::-webkit-scrollbar {
	display: none;
}

.scroll-page {
	height: 100%;
	position: relative;
	scroll-behavior: smooth;
}

/* SHOW WORDS */
.main__word {
	display: inline-block;
	vertical-align: bottom;
	animation: 2s linear infinite;
	animation-delay: -0.7s;
	/* width: 100%; */
	min-width: 320px;
	height: 62px;
}
/* cambiarlo a 10s con 5 palabras */
.main__word em {
	float: left;
	overflow: hidden;
	animation: hideShow 10s linear infinite;
	display: block;
}

.main__word em span {
	color: var(--color-primary);
}



 .main__word em:nth-child(1) {
	animation-delay: -0s;
}
.main__word em:nth-child(2) {
	animation-delay: -2s;
}
.main__word em:nth-child(3) {
	animation-delay: -4s;
}
.main__word em:nth-child(4) {
	animation-delay: -6s;
}
.main__word em:nth-child(5) {
	animation-delay: -8s;
} 

/* SOLUCIONES */
.solutions__container {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	max-width: 1200px;
	margin: 20px auto 50px;
	gap: 30px;
}

.solutions__container .title__text {
	max-width: 450px;
	position: relative;
	z-index: -1;
}
.solutions__container .title__text::before,
.target__container .title__text::before,
.support__container .title__text::before {
	display: block;
	color: var(--color-accent);
	font-size: 20px;
	font-weight: 400;
}
.solutions__container .title__text::before {
	content: "Soluciones";
}
.solutions__container .title__text::after,
.target__container .title__text::after,
.support__container .title__text::after {
	content: "";
	display: block;
	position: absolute;
	top: 14px;
	left: 120px;
	width: 80px;
	height: 2px;
	background-color: var(--color-accent);
	margin-top: -0.5px;
}

.solutions__nav {
	margin-top: 110px;
}
.solutions__nav a {
	display: grid;
	grid-template-columns: 3fr 0.5fr auto;
	align-items: center;
	gap: 10px;
	padding: 20px 0;
	border-bottom: 1px solid var(--color-primary);
	justify-content: space-between;
}

.solutions__nav .rounded-button {
	grid-column: 3;
	grid-row: 1 / span 2;
	border: 1px solid var(--color-accent);
	transition: background-color 0.4s linear;
	align-self: center;
}

.solutions__nav a:hover .rounded-button {
	background-color: var(--color-accent);
}
.solutions__nav a:hover img {
	background-color: var(--color-accent);
	filter: saturate(0%) brightness(10000%);
	background-color: transparent;
}

.solutions__nav h3 {
	font-size: 26px;
	font-weight: 600;
	transition: color 0.4s linear;
}

.solutions__nav a:hover h3 {
	color: var(--color-accent);
}

.solutions__nav h3 span {
	font-size: 18px;
}
.solutions__nav p {
	grid-row: 2;
}

.solutions__container .primary-button {
	grid-column: 2;
}

/************************
PARA QUIEN
*************************/

.target__container {
	max-width: 1200px;
	margin: 0 auto;
	padding: 60px 0 100px;
}

.target__container:before {
	content: "";
	position: absolute;
	background-color: var(--color-light);
	left: -100%;
	right: -100%;
	height: 100%;
	top: 0;
	z-index: -1;
}

.target__container .title__text {
	text-align: center;
	max-width: 610px;
	position: relative;
	margin: 0 auto;
}

.target__container .title__text::before {
	content: "¿Para quién?";
	text-align: left;
}

.target__container .title__text::after {
	content: "";
	left: 143px;
}

.target__description {
	text-align: center;
	padding: 20px 0 60px;
	color: var(--color-secondary);
	font-size: 18px;
	max-width: 1080px;
	margin: 0 auto;
}

.target__options-container {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	max-width: 950px;
	margin: 0 auto;
}
.target__options-container li {
	padding: 20px 10px;
}

.target__options-container .secondary-button {
	margin: 20px 0;
	transition: background-color 0.4s linear, color 0.3s linear;
}

.target__options-container .secondary-button:hover {
	background-color: var(--color-accent);
	color: #fff;
	border-color: var(--color-accent);
}

.support__container {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	align-items: end;
	position: relative;
	max-width: 1200px;
	margin: 50px auto;
}

.support__container .title__text::before {
	content: "Soporte técnico";
}

.support__container .title__text::after {
	content: "";
	left: 173px;
	top: 14px;
}

.support__text {
	grid-column: 1;
	padding: 30px 0 20px;
	line-height: 1.5;
}

.support__container .arrow-icon {
	transform: rotate(45deg);
	z-index: -1;
}

.support__container ul {
	grid-column: 1;
	margin-bottom: 30px;
}
.support__container li {
	display: flex;
	align-items: flex-start;
	gap: 10px;
	margin: -5px 0 0;
}

.support__container .primary-button {
	grid-column: 1;
	justify-self: flex-start;
}

.support__img {
	right: -40px;
	max-width: 100%;
	position: absolute;
	bottom: -277px;
	width: 60%;
}

/* Para Safari */

@supports (-webkit-appearance: none) and (not (overflow-anchor: none)) {
	.support__img {
		bottom: -327px;
		z-index: -1;
	}
}

/************************
CASOS EXITO
*************************/
.customers__container {
	max-width: 1200px;
	margin: 120px auto 0;
}

#casos-exito .slider {
	background-color: var(--color-accent);
	margin: 10px 0 30px;
}

#casos-exito .slider li {
	align-items: center;
}

#casos-exito .slider li:before {
	content: url(../assets/star-neg-icon.svg);
	margin-top: 4px;
}

.success__container {
	margin: 60px auto;
	display: flex;
	flex-direction: column;
	position: relative;
	max-width: 1200px;
}

.success__container .section__title{
	align-self: center;
}

.success__container .primary-button {
	margin: 0 auto;
}
.success__container .primary-button:hover {
	cursor: pointer;
}

/* COMENTARIOS */

.comment {
	min-width: 650px;
	width: 650px;
	background-color: var(--color-light);
	padding: 50px;
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	align-items: center;
	gap: 20px;
	border-radius: 20px;
	min-height: 380px;
	justify-content: flex-end;
}

.comment img {
	align-self: flex-start;
}

.comment span {
	display: block;
	text-align: left;
	padding-bottom: 15px;
}

.comment p {
	line-height: 1.5;
	text-align: center;
	font-size: 14px;
}

.comment p:first-of-type {
	margin: auto;
}

.comment__customer-name {
	text-transform: uppercase;
	color: var(--color-accent);
	font-weight: 600;
	margin-bottom: 0;
}

.comment__customer-company {
	font-size: 12px;
	font-weight: 500;
}

#swiper {
	height: 450px;
	display: flex;
	align-items: center;
	margin: 0 auto;
}

.swiper {
	width: 650px;
}

.card {
	position: relative;
	background: #fff;
	border-radius: 20px;
	height: 348px;
	margin: 20px auto;
}

.swiper-pagination {
	top: 450px;
}

.swiper-pagination-bullet {
	height: 7px;
	width: 26px;
	border-radius: 25px;
	background: white;
}

.swiper-pagination-bullet-active {
	background: var(--color-accent) !important;
}

.swiper-button-next::after {
	left: 26px;
	position: absolute;
}
.swiper-button-prev::after {
	left: 23px;
	position: absolute;
}

.swiper-button-next,
.swiper-button-prev {
	opacity: 0.7;
	color: #fff !important;
	transition: all 0.3s ease;
	background-color: var(--color-primary);
}
.swiper-button-next:hover,
.swiper-button-prev:hover {
	opacity: 1;
	color: white;
}

.swiper-button-next svg, .swiper-button-prev svg{
	max-width: 11px;
	max-height: 20px;
}
.swiper-button-next svg{
	margin-left: 5px;
}
    
/************************
BLOG
*************************/

.blog__container {
	max-width: 1200px;
	margin: 0 auto;
	padding: 20px 0;
}

.blog__container .title__text {
	margin: 0;
	max-width: 100%;
}

.blog__container .section__title::after {
	left: 68px;
}

.blog__list {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-around;
	padding-top: 40px;
}
.blog__entry {
	width: 500px;
	position: relative;
}

.blog__entry a {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	height: 423px;
}
.blog__entry-tag {
	position: absolute;
	background-color: var(--color-accent);
	color: #fff;
	padding: 10px 20px;
	border-radius: 50px;
	right: 20px;
	top: 20px;
}

.blog__entry-img {
	display: flex;
	width: 100%;
	height: 250px;
	overflow: hidden;
	border-radius: 20px;
	justify-content: center;
	align-items: baseline;
}

.blog__entry-img img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: left;
	transition: height 0.4s ease;
}

.blog__entry:hover .blog__entry-img img {
	height: 110%;
}

.blog__entry-title {
	font-size: 20px;
	font-weight: 600;
	padding: 30px 0;
	transition: color 0.4s ease;
	color: var(--color-primary);
	margin-bottom: auto;
}

.blog__entry:hover .blog__entry-title {
	color: var(--color-accent);
}

.blog__entry-info {
	display: flex;
	justify-content: space-between;
	border-bottom: 1px solid var(--color-secondary);
	padding-bottom: 30px;
}

.blog__entry-info img {
	vertical-align: middle;
	filter: grayscale(100%);
}

.blog__entry-info p {
	transition: font-weight 0.4s linear;
}
.blog__entry a:hover .blog__entry-info p:last-of-type {
	font-weight: 600;
}

.blog__entry a:hover .blog__entry-info p img {
	filter: brightness(0);
}

/************************
CONTÁCTANOS
*************************/

#contacto {
	background-color: var(--color-accent);
}

.contact__container {
	display: flex;
	flex-direction: column;

	max-width: 1200px;
	margin: 60px auto 0;
	padding-bottom: 100px;
	align-items: center;
}

.contact__img {
	width: fit-content;
	max-width: 350px;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 40px;
	padding-left: 30px;
}
.contact__img img {
	width: 100%;
}

.contact__form-container {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.contact__form-container .title__text {
	z-index: unset;
	color: #fff;
	text-align: center;
}

.contact__form-container h3 {
	font-size: 28px;
	font-weight: 600;
	padding: 10px 0;
	color: var(--color-primary);
	text-align: center;
	line-height: 1.5;
}

.contact__form-container h3 span {
	display: block;
}

.contact__form-container .primary-button {
	background-color: #fff;
	color: var(--color-accent);
}

.contact__form-container .primary-button,
.contact__form-container .dark-button {
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 20px;
}
.contact__form-container .dark-button img {
	filter: brightness(10) saturate(0);
}
.contact__form-container .primary-button img,
.contact__form-container .dark-button img {
	transform: rotate(45deg);
}

.contact__form-buttons {
	width: 100%;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-evenly;
	align-items: center;
}

.contact__form-buttons .button {
	min-width: 240px;
	margin-top: 20px;
	font-size: 16px;
	font-weight: 500;
}
.contact__form-buttons .phone__popup {
	top: 80px;
}

.contact__form {
	display: flex;
	flex-direction: column;
}

.contact__form label,
.contact__form select {
	font-size: 22px;
	color: var(--color-primary);
	font-weight: 500;
	padding: 40px 0 30px;
}

.contact__form label:focus-visible,
.contact__form select:focus-visible,
.contact__form textarea:focus-visible {
	outline: 1px solid transparent;
}

.contact__form #interes,
.contact__form input,
.contact__form textarea {
	font-weight: initial;
	font-size: 16px;
	color: var(--color-secondary);
	padding: 0 0 10px 0;
	background-color: var(--color-light);
	border-bottom: 1px solid #a2a1a1;
}

.contact__form textarea {
	border: 1px solid #a2a1a1;
	padding: 10px;
	border-radius: 5px;
}

/************************
PRE- FOOTER
*************************/

.pre-footer {
	background-color: var(--color-accent);
	width: 100%;
	height: 180px;
	display: flex;
}

.pre-footer__contact {
	display: flex;
	max-width: 1200px;
	justify-content: space-between;
	background-color: var(--color-primary);
	width: 100%;
	margin: 30px auto;
	border-radius: 15px;
	align-items: center;
	padding: 35px;
	background-image: linear-gradient(45deg, transparent 25%, #ffffff3b 50%, transparent 75%);
}

.pre-footer__contact p {
	color: #fff;
	font-size: 35px;
}

.pre-footer .primary-button {
	background-color: #fff;
	color: var(--color-primary);
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 20px;
}

.pre-footer .primary-button img {
	transform: rotate(45deg);
	filter: grayscale(100%) brightness(0.5) contrast(1);
}
/************************
FOOTER
*************************/
.footer {
	background-color: var(--color-primary);
	color: #fff;
}

.footer__container {
	max-width: 1200px;
	margin: 0 auto;
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(261px, 1fr));
	gap: 32px;
	padding: 50px 0 25px;
}

.footer__text {
	padding: 25px 0;
	line-height: 1.5;
	letter-spacing: 1px;
	font-size: 13px;
}
.footer__contact {
	display: flex;
	align-items: center;
	gap: 40px;
}

.footer__contact p {
	font-weight: 600;
	font-size: 24px;
}

.footer__menu {
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
	height: 100%;
	align-items: flex-start;
	margin: 0 auto;
	width: fit-content;
	transition: color linear 0.4s;
}

.footer__menu a {
	padding: 5px 0;
	transition: color linear 0.4s;
}

.footer__menu a:hover {
	color: var(--color-accent);
}

.footer__section:nth-child(3) {
	display: flex;
	align-items: flex-start;
	justify-content: flex-end;
	flex-direction: column;
	gap: 15px;
	width: fit-content;
	margin-left: auto;
}

.footer__social {
	display: flex;
	align-items: center;
	gap: 15px;
}

.footer__social p {
	font-size: 22px;
}
.footer__social span {
	font-size: 24px;
	color: #fff;
	transition: color 0.3s linear;
}

.footer__social span:hover {
	color: var(--color-accent-hover);
}

.footer__social a:nth-child(3) {
	height: 20px;
}

.icon-social-youtube:before,
.footer__social:nth-child(3) span {
	display: inline-block;
	height: 20px;
}

.footer__section img {
	max-width: 150px;
}

.footer__mail {
	font-size: 24px;
	font-weight: 600;
}

.footer__mail span {
	color: var(--color-accent);
}

.footer__line {
	background-color: #fff;
	height: 1px;
	max-width: 1200px;
	margin: 20px auto;
}

.copyright-text {
	width: fit-content;
	margin: 0 auto;
	padding-bottom: 30px;
	text-align: center;
}

/************************
ANIMACIONES
*************************/

/* SHOW WORDS */

@keyframes hideShow {
	0%,
	20%,
	40%,
	60%,
	80%,
	100% {
		width: 0;
	}
	20% {
		width: auto;
	}
}

/* SLIDER ANIMATION */

@keyframes slide {
	0% {
		-webkit-transform: translateX(0);
		transform: translateX(0);
	}
	100% {
		-webkit-transform: translateX(calc(-400px * 6));
		transform: translateX(calc(-400px * 6));
	}
}